function poten01 = poten01
%Este programa calcula la potencia de diferentes diseos de ANOVA.
%Diseo de un factor completamente aleatorizado se denota como "1Factor".
%Diseo de un factor con bloque aleatorizado se denota como "1Factor1Bloque".
%Diseo factorial de 2 factores e interaccin se denota como "2Factores1Interaccin".
%Utiliza mdulos de enlace con este mdulo principal, para su ejecucin es necesario que
%los 4 mdulos "poten01.m poten1F.m poten1FB.m y poten2FI.m", se ubiquen en el subdirectorio
%del ambiente MATLAB que es: \MATLAB\bin.
%La variable k representa el nmero de desviaciones estndares en que se ubica el parmetro
%de no-centralidad.
format compact
dis = input ('Dar 0 =>Salir, 1 =>1Factor, 2 =>1Factor1Bloque, 3 =>2Factores1Interaccin: ');
disp ('___________________________________________________________________________________');
if dis==0;disp ('Salir del Programa');
elseif dis==1;poten1F
elseif dis==2;poten1FB
elseif dis==3;poten2FI
else disp ('DEBE DAR 0,1,2 o 3: Volver a ejecutar poten01');
end
